Syncware
  1. Leads
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
    • Query Single Customer
    • Create New Customer
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
      GET
    • Create Lead
      POST
    • Update Lead
      PUT
    • Delete Lead
      DELETE
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Leads

Create Lead

POST
/leads
Leads
Last modified:2026-10-22 03:21:53

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.syncware.com/api/v1/leads' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 0,
    "name": "Test Leade",
    "code": "Test Code",
    "company": "Test Company",
    "address": "address 1",
    "address2": "address 2",
    "city": "Test City",
    "state": "Test State",
    "zip": "302020",
    "tel": "7894561230",
    "fax": "",
    "email": "abc@gmail.com",
    "rep": "2",
    "vendor": "synqware",
    "created_by": "SYNQWARE",
    "lead_origin": "",
    "lead_status": "DELETED",
    "lead_notes": [
        {
            "id": 0,
            "lead_id": 0,
            "note": "Test Note",
            "created_by": "SYNQWARE",
            "shared_with_rep": true,
            "is_reviewed": false,
            "request": "test",
            "request_status": "Created44",
            "note_type": "action"
        }
    ]
}'
Response Response Example
200 - response
{
    "id": 3014,
    "name": "Test Leade",
    "company": "Test Company",
    "email": "abc@gmail.com",
    "rep": "2",
    "lead_origin": "",
    "city": "Test City",
    "state": "Test State",
    "zip": "302020",
    "tel": "7894561230",
    "fax": "",
    "address": "address 1",
    "address2": "address 2",
    "created_by": "SYNQWARE",
    "vendor": "synqware"
}
Previous
Query All Leads
Next
Update Lead
Built with